import { BoostCampaignStatus as r } from "./index-BoostCampaign.js";
import { PostStatus as e } from "./index-Post.js";
import { IconNames as o } from "./index-IconNames.js";
const t = (l) => {
  switch (l || (l = "info"), l) {
    case "live":
      return {
        reverseColor: "--s400",
        iconColor: "--s900",
        textColor: "--s900",
        bgColor: "--s100",
        iconName: o.close
      };
    case "pending_verification":
      return {
        reverseColor: "--w400",
        iconColor: "--w900",
        textColor: "--w900",
        bgColor: "--w100",
        iconName: o.close
      };
    case e.NOT_APPROVED:
      return {
        reverseColor: "--e400",
        iconColor: "--e900",
        textColor: "--e900",
        bgColor: "--e100",
        iconName: o.close
      };
    case e.SCHEDULED:
      return {
        reverseColor: "--a1500",
        iconColor: "--a1900",
        textColor: "--a1900",
        bgColor: "--a1100",
        iconName: o.close
      };
    case r.ARCHIVED:
    case r.DRAFT:
    case e.DRAFT:
      return {
        reverseColor: "--n400",
        iconColor: "--n400",
        textColor: "--n700",
        bgColor: "--n100",
        iconName: o.close
      };
    case r.DELETED:
    case e.ERROR:
    case "deleted":
    case "danger":
      return {
        reverseColor: "--e400",
        iconColor: "--e500",
        textColor: "--e500",
        bgColor: "--e100",
        iconName: o.close
      };
    case "info":
      return {
        reverseColor: "--i400",
        iconColor: "--i500",
        textColor: "--i900",
        bgColor: "--i100",
        iconName: o.help
      };
    case r.PAUSED:
    case "warning":
      return {
        reverseColor: "--w400",
        iconColor: "--w500",
        textColor: "--w900",
        bgColor: "--w100",
        iconName: o.exclamation
      };
    case "limitExcedeed":
      return {
        reverseColor: "--e400",
        iconColor: "--e500",
        textColor: "--e900",
        bgColor: "--e100",
        iconName: o.lock
      };
    case r.ACTIVE:
    case "success":
      return {
        reverseColor: "--s900",
        iconColor: "--s500",
        textColor: "--s900",
        bgColor: "--s100",
        iconName: o.check
      };
    case "sent":
      return {
        reverseColor: "--s900",
        iconColor: "--s900",
        textColor: "--s900",
        bgColor: "--s100",
        iconName: o.check
      };
    case e.PUBLISHED:
    case "connected":
    case "published":
      return {
        reverseColor: "--s400",
        iconColor: "--s900",
        textColor: "--s900",
        bgColor: "--s100",
        iconName: o.check
      };
    case e.PUBLISHING:
    case "publishing":
      return {
        reverseColor: "--n400",
        iconColor: "--n400",
        textColor: "--n700",
        bgColor: "--n100",
        iconName: o.refresh
      };
    case "queued":
      return {
        reverseColor: "--w900",
        iconColor: "--w900",
        textColor: "--w900",
        bgColor: "--w100",
        iconName: o.refresh
      };
    case "publishingStatic":
      return {
        reverseColor: "--n400",
        iconColor: "--n400",
        textColor: "--n700",
        bgColor: "--n100",
        iconName: o.refresh
      };
    // Same as "publishing", but icon is not Rotating (see "spin" prop on icon)
    case "neutral":
      return {
        reverseColor: "--n400",
        iconColor: "--n500",
        textColor: "--n400",
        bgColor: "--n100",
        iconName: o.close
      };
    case "not_sent":
      return {
        reverseColor: "--fn-fg-light",
        iconColor: "--fn-fg-light",
        textColor: "--fn-fg-light",
        bgColor: "--fn-bg",
        iconName: o.close
      };
    case "published_variant":
      return {
        reverseColor: "--a3900",
        iconColor: "--a3900",
        textColor: "--a3900",
        bgColor: "--a3100",
        iconName: o.check
      };
    case "ai":
      return {
        reverseColor: "--a1500",
        iconColor: "--a1500",
        textColor: "--a1500",
        bgColor: "--a1100",
        iconName: o.ai
      };
  }
  return {
    reverseColor: "",
    iconColor: "",
    textColor: "",
    bgColor: "",
    iconName: o.close
  };
};
export {
  t as getColorsBasedOnStatus
};
